Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common.decorator
Interface SelectionSorterWeightFactory<Sol extends Solution,T>

All Known Subinterfaces:
  PlanningEntity.NullDifficultyWeightFactory, PlanningVariable.NullStrengthWeightFactory

All Known Implementing Classes:
  BedDesignationDifficultyWeightFactory, DepotAngleCustomerDifficultyWeightFactory, DepotDistanceCustomerDifficultyWeightFactory, DomicileAngleVisitDifficultyWeightFactory, DomicileDistanceVisitDifficultyWeightFactory, ExamDifficultyWeightFactory, ExecutionModeStrengthWeightFactory, LectureDifficultyWeightFactory, PeriodStrengthWeightFactory, QueenDifficultyWeightFactory, RoomStrengthWeightFactory, RoomStrengthWeightFactory, RowStrengthWeightFactory

    public interface SelectionSorterWeightFactory<Sol extends Solution,T>

Creates a weight to decide the order of a collections of selections (a selection is a `PlanningEntity`, a planningValue, a `Move` or a `Selector`). The selections are then sorted by their weight, normally ascending unless its configured descending.

Method Summary
`Comparable` | `createSorterWeight(Sol solution, T selection)`

Method Detail

### createSorterWeight

    Comparable createSorterWeight(Sol solution,
                                  T selection)

  Parameters:
    `solution` - never null, the `Solution` to which the selection belongs or applies to
    `selection` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector`
  Returns:
    never null, for example a `Integer`, `Double` or a more complex `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.